%define oname   bbswitch

Name:           dkms-%{oname}
Summary:        bbswitch - Optimus GPU power switcher
Group:          System/Kernel and hardware
Version:        v0.8
Release:        %mkrel 1
License:        GPLv2+
URL:            https://github.com/Bumblebee-Project/bbswitch
Source0:        %{oname}-%{version}.tar.xz
BuildArch:      noarch
Requires:       dkms

%description
bbswitch is a kernel module which automatically detects the required
ACPI calls for two kinds of Optimus laptops : "real" (e.g. Nvidia GT 425M)
and "legacy" (e.g. Nvidia GT 310M) Optimus laptops.
The universal calls should work for every laptop model supporting either
Optimus calls.

This package uses DKMS to automatically build the bbswitch kernel module.

%files
%doc NEWS README.md
%{_usrsrc}/%{oname}-%{version}-%{release}/*

%post
dkms add -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --force
true
/sbin/modprobe %{oname}

%preun
dkms remove --binary -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --all
true
/sbin/rmmod %{oname}

#--------------------------------------------------------------------
%prep
%setup -qn %{oname}-%{version}
sed -i 's/#MODULE_VERSION#/%{version}-%{release}/g' dkms/dkms.conf

%install
mkdir -p %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
cp %{oname}.c %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
cp Makefile %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
cp dkms/dkms.conf %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}/dkms.conf


%changelog
* Thu May 29 2014 bb >bb> v0.8-1pclos2014
- update
